import React, {useEffect, useState} from "react";
import HomeTitle from "../components/home/HomeTitle.jsx";
import ChatsList from "../components/home/ChatsList.jsx";
import Header from "../components/home/Header.jsx";
import {displayMessage} from "../backend/notifications/notifications";
import {MessageType} from "../backend/notifications/message";
import {get} from "../backend/api";

const Home = () => {
    const [chats, setChats] = useState([])

    async function retrieveChats() {
        const username = localStorage.getItem("username");
        if (!username) {
            displayMessage("You're not logged in!", MessageType.WARN);
            return;
        }

        const {ok, data} = await get('/chat/list/' + username);
        if (!ok) {
            displayMessage(data.message, MessageType.ERROR);
            return;
        }
        setChats(data.chats);
    }

    useEffect(() => {retrieveChats().then()}, [])

    return (
      <div className="homeWrapper">
          <div className="headerPos">
              <Header/>
          </div>

          <HomeTitle/>
          <p>Your chats</p>
          <ChatsList chats={chats} />
      </div>
  )
}

export default Home